Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class NodeBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.NodeBuilder

    public class NodeBuilder
    extends BuilderSupport

A helper class for creating nested trees of Node objects for handling arbitrary data

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`protected Node` | `getCurrentNode()`
`static NodeBuilder` | `newInstance()`
`protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createNode

    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### createNode

    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### getCurrentNode

    protected Node getCurrentNode()

### newInstance

    public static NodeBuilder newInstance()

### setParent

    protected void setParent(java.lang.Object parent, java.lang.Object child)

Groovy Documentation